Index: /palm/trunk/SOURCE/Makefile
===================================================================
--- /palm/trunk/SOURCE/Makefile	(revision 1851)
+++ /palm/trunk/SOURCE/Makefile	(revision 1852)
@@ -30,5 +30,8 @@
 # Several files renamed --> _mod
 # Bugfix for previous commit
-# 
+#
+# 1849 2016-04-08 11:33:18Z hoffmann
+# Adapted for modularization of microphysics
+#
 # 1837 2016-04-07 18:21:57Z raasch
 # further bug removed from r1835
Index: /palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_2d.f90	(revision 1851)
+++ /palm/trunk/SOURCE/data_output_2d.f90	(revision 1852)
@@ -19,6 +19,6 @@
 ! Current revisions:
 ! -----------------
-! 
-! 
+!
+!
 ! Former revisions:
 ! -----------------
Index: /palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_3d.f90	(revision 1851)
+++ /palm/trunk/SOURCE/data_output_3d.f90	(revision 1852)
@@ -19,6 +19,6 @@
 ! Current revisions:
 ! ------------------
-! 
-! 
+!
+!
 ! Former revisions:
 ! -----------------
Index: /palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- /palm/trunk/SOURCE/flow_statistics.f90	(revision 1851)
+++ /palm/trunk/SOURCE/flow_statistics.f90	(revision 1852)
@@ -19,6 +19,6 @@
 ! Current revisions:
 ! -----------------
-! 
-! 
+!
+!
 ! Former revisions:
 ! -----------------
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 1851)
+++ /palm/trunk/SOURCE/header.f90	(revision 1852)
@@ -19,6 +19,6 @@
 ! Current revisions:
 ! -----------------
-! 
-! 
+!
+!
 ! Former revisions:
 ! -----------------
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 1851)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 1852)
@@ -19,6 +19,6 @@
 ! Current revisions:
 ! ------------------
-! 
-! 
+!
+!
 ! Former revisions:
 ! -----------------
@@ -28,5 +28,5 @@
 ! Adapted for modularization of microphysics.
 ! precipitation_amount, precipitation_rate, prr moved to arrays_3d.
-! Initialization of nc_1d, nr_1d, pt_1d, qc_1d, qr_1d, q_1d moved to 
+! Initialization of nc_1d, nr_1d, pt_1d, qc_1d, qr_1d, q_1d moved to
 ! microphysics_init.
 !
Index: /palm/trunk/SOURCE/init_cloud_physics.f90
===================================================================
--- /palm/trunk/SOURCE/init_cloud_physics.f90	(revision 1851)
+++ /palm/trunk/SOURCE/init_cloud_physics.f90	(revision 1852)
@@ -26,6 +26,6 @@
 !
 ! 1849 2016-04-08 11:33:18Z hoffmann
-! bfactor removed
-! 
+! bfactor removed and microphysics constants moved microphysics_mod
+!
 ! 1822 2016-04-07 07:49:42Z hoffmann
 ! icloud_scheme replaced by microphysics_*
Index: /palm/trunk/SOURCE/land_surface_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 1851)
+++ /palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 1852)
@@ -27,5 +27,5 @@
 ! 1849 2016-04-08 11:33:18Z hoffmann
 ! prr moved to arrays_3d
-! 
+!
 ! 1826 2016-04-07 12:01:39Z maronga
 ! Cleanup after modularization
Index: /palm/trunk/SOURCE/lpm_droplet_condensation.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 1851)
+++ /palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 1852)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! 
+!
 ! 
 ! Former revisions:
@@ -25,13 +25,12 @@
 ! $Id$
 !
+! 
 ! 1849 2016-04-08 11:33:18Z hoffmann
-! Interpolation of supersaturation has been removed because it is not in 
-! accordance with the release/depletion of latent heat/water vapor in 
+! Interpolation of supersaturation has been removed because it is not in
+! accordance with the release/depletion of latent heat/water vapor in
 ! interaction_droplets_ptq.
-!
 ! Calculation of particle Reynolds number has been corrected.
-!
-! eps_ros added from modules
-! 
+! eps_ros added from modules.
+!
 ! 1831 2016-04-07 13:15:51Z hoffmann
 ! curvature_solution_effects moved to particle_attributes
Index: /palm/trunk/SOURCE/mod_particle_attributes.f90
===================================================================
--- /palm/trunk/SOURCE/mod_particle_attributes.f90	(revision 1851)
+++ /palm/trunk/SOURCE/mod_particle_attributes.f90	(revision 1852)
@@ -19,6 +19,6 @@
 ! Current revisions:
 ! ------------------
-! 
-! 
+!
+!
 ! Former revisions:
 ! -----------------
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 1851)
+++ /palm/trunk/SOURCE/modules.f90	(revision 1852)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! 
+!
 ! 
 ! Former revisions:
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 1851)
+++ /palm/trunk/SOURCE/parin.f90	(revision 1852)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+!
 ! 
 ! Former revisions:
@@ -27,5 +27,5 @@
 ! 1849 2016-04-08 11:33:18Z hoffmann
 ! Adapted for modularization of microphysics
-! 
+!
 ! 1833 2016-04-07 14:23:03Z raasch
 ! call of spectra_parin
Index: /palm/trunk/SOURCE/radiation_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 1851)
+++ /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 1852)
@@ -19,13 +19,13 @@
 ! Current revisions:
 ! -----------------
-! 
-! 
+!
+!  
 ! Former revisions:
 ! -----------------
 ! $Id$
 !
-! 1849 2016-04-08 11:33:18Z hoffmann
+! 1849 2016-04-08 11:33:18Z hoffmann 
 ! Adapted for modularization of microphysics
-! 
+!
 ! 1826 2016-04-07 12:01:39Z maronga
 ! Further modularization.
Index: /palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- /palm/trunk/SOURCE/read_3d_binary.f90	(revision 1851)
+++ /palm/trunk/SOURCE/read_3d_binary.f90	(revision 1852)
@@ -25,7 +25,7 @@
 ! $Id$
 !
-! 1849 2016-04-08 11:33:18Z hoffmann
+! 1849 2016-04-08 11:33:18Z hoffmann 
 ! prr, precipitation_amount moved to arrays_3d
-! 
+!
 ! 1833 2016-04-07 14:23:03Z raasch
 ! statistics module replaced by spectra module
Index: /palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/read_var_list.f90	(revision 1851)
+++ /palm/trunk/SOURCE/read_var_list.f90	(revision 1852)
@@ -19,6 +19,6 @@
 ! Current revisions:
 ! ------------------
-! 
-! 
+!
+!
 ! Former revisions:
 ! -----------------
Index: /palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- /palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 1851)
+++ /palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 1852)
@@ -27,5 +27,5 @@
 ! 1849 2016-04-08 11:33:18Z hoffmann
 ! precipitation_rate moved to arrays_3d
-! 
+!
 ! 1788 2016-03-10 11:01:04Z maronga
 ! Added z0q and z0q_av
Index: /palm/trunk/SOURCE/time_integration.f90
===================================================================
--- /palm/trunk/SOURCE/time_integration.f90	(revision 1851)
+++ /palm/trunk/SOURCE/time_integration.f90	(revision 1852)
@@ -19,6 +19,6 @@
 ! Current revisions:
 ! ------------------
-! 
-! 
+!
+!
 ! Former revisions:
 ! -----------------
Index: /palm/trunk/SOURCE/timestep.f90
===================================================================
--- /palm/trunk/SOURCE/timestep.f90	(revision 1851)
+++ /palm/trunk/SOURCE/timestep.f90	(revision 1852)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! 
+!
 ! 
 ! Former revisions:
@@ -27,5 +27,5 @@
 ! 1849 2016-04-08 11:33:18Z hoffmann
 ! Adapted for modularization of microphysics
-! 
+!
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable 
Index: /palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- /palm/trunk/SOURCE/write_3d_binary.f90	(revision 1851)
+++ /palm/trunk/SOURCE/write_3d_binary.f90	(revision 1852)
@@ -27,5 +27,5 @@
 ! 1849 2016-04-08 11:33:18Z hoffmann
 ! prr, precipitation_amount moved to arrays_3d
-! 
+!
 ! 1833 2016-04-07 14:23:03Z raasch
 ! statistics module replaced by spectra module
Index: /palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/write_var_list.f90	(revision 1851)
+++ /palm/trunk/SOURCE/write_var_list.f90	(revision 1852)
@@ -19,6 +19,6 @@
 ! Current revisions:
 ! -----------------
-! 
-! 
+!
+!
 ! Former revisions:
 ! -----------------