Index: /palm/trunk/SCRIPTS/mrun
===================================================================
--- /palm/trunk/SCRIPTS/mrun	(revision 1865)
+++ /palm/trunk/SCRIPTS/mrun	(revision 1866)
@@ -22,5 +22,5 @@
 # Current revisions:
 # ------------------
-# 
+# adjusted for lcocean
 # 
 # Former revisions:
@@ -310,4 +310,8 @@
     return_address=165.132.26.68
     echo "+++ WARNING: fixed return_address = $return_address is used !!!!!"
+ elif [[ `hostname` = "schultzl-Latitude-E6540" ]]
+ then
+    return_address="schultzl-Latitude-E6540"
+    echo "+++ WARNING: fixed return_address = $return_address is used !!!!!"
  elif [[ `hostname` = urban00 ]]
  then
@@ -630,5 +634,5 @@
     do_remote=true
     case  $host  in
-        (ibm|ibmh|ibmkisti|ibmku|ibms|nech|lcbullhh|lccrayb|lccrayh|lccrayf|lcflow|lckyoto|unics|lcxe6|lcxt5m|lck|lckiaps|lckordi|lckyuh|lckyut|lcsb)  true;;
+        (ibm|ibmh|ibmkisti|ibmku|ibms|nech|lcbullhh|lccrayb|lccrayh|lccrayf|lcflow|lckyoto|lcocean|unics|lcxe6|lcxt5m|lck|lckiaps|lckordi|lckyuh|lckyut|lcsb)  true;;
         (*)  printf "\n"
              printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
@@ -788,5 +792,5 @@
                    do_remote=true
                    case  $host  in
-                       (ibm|ibmh|ibmkisti|ibmku|ibms|lcbullhh|lccrayb|lccrayh|lccrayf|lcflow|lckyoto|nech|unics|lcxe6|lcxt5m|lck|lckiaps|lckordi|lckyuh|lckyut|lcsb)  true;;
+                       (ibm|ibmh|ibmkisti|ibmku|ibms|lcbullhh|lccrayb|lccrayh|lccrayf|lcflow|lckyoto|lcocean|nech|unics|lcxe6|lcxt5m|lck|lckiaps|lckordi|lckyuh|lckyut|lcsb)  true;;
                        (*)  printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
                             printf "\n      is not available"
@@ -1052,5 +1056,5 @@
     do_remote=true
     case  $host  in
-        (ibm|ibmh|ibmkisti|ibmku|ibms|lcbullhh|lccrayb|lccrayh|lccrayf|lcflow|lckyoto|nech|unics|lcxe6|lcxt5m|lck|lckiaps|lckordi|lckyuh|lckyut|lcsb)  true;;
+        (ibm|ibmh|ibmkisti|ibmku|ibms|lcbullhh|lccrayb|lccrayh|lccrayf|lcflow|lckyoto|lcocean|nech|unics|lcxe6|lcxt5m|lck|lckiaps|lckordi|lckyuh|lckyut|lcsb)  true;;
         (*)  printf "\n"
              printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
@@ -2390,4 +2394,11 @@
              [[ ! -f a.out ]]  &&  compile_error=true
              continue   # STATUS=1, IF a.out EXISTS
+          elif [[ $localhost = lcocean ]]
+          then 
+             printf "      compiler is called via ssh on \"ocean\" \n"
+             echo $PWD
+             ssh  $SSH_PORTOPT  ocean  -l $usern  "$init_cmds $module_calls cd $TEMPDIR; make $mopts -f Makefile PROG=a.out  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$fopts\"  LDFLAGS=\"$lopts\" "
+             [[ ! -f a.out ]]  &&  compile_error=true
+            continue   # STATUS=1, IF a.out EXISTS
           elif [[ $localhost = lcflow ]]
           then 
@@ -3069,5 +3080,5 @@
                    # COPY HOSTFILE FROM SOURCE DIRECTORY OR CREATE IT, IF IT
                    # DOES NOT EXIST
-                if [[  $host != lcbullhh  && $host != lccrayb  &&  $host != lccrayf  && $host != lccrayh  &&  $host != lckyuh  &&  $host != lckyut ]]
+                if [[  $host != lcbullhh  && $host != lccrayb  &&  $host != lccrayf  && $host != lccrayh  &&  $host != lckyuh  &&  $host != lckyut  &&  $host != lcocean ]]
                 then
                    if [[ -f $hostfile ]]
@@ -3140,4 +3151,7 @@
                    then
                       mpirun -np $ii a.out  < runfile_atmos
+                   elif [[ $host = lcocean ]]
+                   then
+                      mpirun a.out  $ROPTS  < runfile_atmos
                    elif [[ $host = lcsb ]]
                    then
@@ -4079,4 +4093,7 @@
                    then
                       /usr/bin/ssh $SSH_PORTOPT $return_address -l $return_username "PATH=\$PATH:$LOCAL_MRUN_PATH;export PALM_BIN=$LOCAL_MRUN_PATH;cd $LOCAL_PWD; $mc "
+                   elif [[ $localhost = lcocean ]]
+                   then
+                      /usr/bin/ssh $SSH_PORTOPT $return_address -l $return_username "PATH=\$PATH:$LOCAL_MRUN_PATH;export PALM_BIN=$LOCAL_MRUN_PATH;cd $LOCAL_PWD; $mc "
                    elif [[ $localhost = lccrayb ]]
                    then
@@ -4291,5 +4308,5 @@
        #              THIS MAY CREATE A QUITE LARGE JOB-FILE, WHICH CAN CAUSE PROBLEMS WITH SOME
        #              QUEUEING-SYSTEMS
-    if [[ $host = ibmkisti  ||  $host = lcbullhh  ||  $host = lccrayb  ||  $host = lccrayf  ||  $host = lccrayh ]]
+    if [[ $host = ibmkisti  ||  $host = lcbullhh  ||  $host = lccrayb  ||  $host = lccrayf  ||  $host = lccrayh  ||  $host = lcocean ]]
     then
 
Index: /palm/trunk/SCRIPTS/subjob
===================================================================
--- /palm/trunk/SCRIPTS/subjob	(revision 1865)
+++ /palm/trunk/SCRIPTS/subjob	(revision 1866)
@@ -23,5 +23,5 @@
 # Current revisions:
 # ------------------
-# 
+# adjusted for lcocean
 # 
 # Former revisions:
@@ -231,4 +231,5 @@
      (hexagon*)		     local_address=129.177.20.113; local_host=lcxe6;;
      (nobel*)                local_address=150.183.5.101;  local_host=ibms;;
+     (ocean)                 local_address="ocean";        local_host=lcocean;; 
      (orkan)                 local_address=130.75.105.3;   local_host=lcmuk;;
      (ostria)                local_address=130.75.105.106; local_host=lcmuk;;
@@ -238,8 +239,10 @@
      (quanero)               local_address=130.75.105.107; local_host=lcmuk;;
      (rte*)                  local_address=133.5.185.60;   local_host=lcrte;;
+     (schultzl-Latitude-E6540)  local_address="schultzl-Latitude-E6540"; local_host=lcsch;;
      (shiokaze-lx)           local_address=134.106.74.123; local_host=lcfor;;
      (sisu-login*)           local_address=86.50.166.21;   local_host=lccrayf;;
      (solano)                local_address=130.75.105.110; local_host=lcmuk;;
      (sugoka*)               local_address=172.31.120.1;   local_host=lckyut;;
+     (tc*)                   local_address="ocean";        local_host=lcocean;; 
      (t2a*)                  local_address=10.1.6.165;     local_host=lctit;;
      (urban*)                local_address=147.46.30.151   local_host=lcsb;;
@@ -384,4 +387,5 @@
         (lckyuh)  remote_address=133.5.4.33; submcom=/usr/bin/pjsub;;
         (lckyut)  remote_address=133.5.4.37; submcom=/usr/bin/pjsub;;
+        (lcocean) remote_address="ocean"; submcom=qsub;;
         (lcsb)    remote_address=147.46.30.151; submcom=/usr/torque/bin/qsub;;
         (lctit)   queue=S; remote_address=10.1.6.165; submcom=/opt/pbs/tools/bin/t2sub;;
@@ -1165,4 +1169,20 @@
 %%END%%
 
+ elif [[ $remote_host = lcocean ]]
+ then
+   cat > $job_to_send << %%END%%
+#!/bin/bash
+#$ -cwd
+#$ -V 
+#$ -N $job_name
+#$ -pe orte $numprocs
+#$ -o $remote_dayfile
+#$ -j y
+#$ -R y
+$init_cmds
+$module_calls
+
+%%END%%
+
  elif [[ $remote_host = nech ]]
  then
@@ -1244,5 +1264,5 @@
     echo "trap '"                               >>  $job_to_send
     echo "set +vx"                              >>  $job_to_send
-    if [[ $(echo $remote_host | cut -c1-3) = ibm  ||  $remote_host = lcbullhh  ||  $remote_host = lccrayb  ||  $remote_host = lccrayh  ||  $(echo $remote_host | cut -c1-3) = nec  ||  $remote_host = lcflow  ||  $remote_host = lckiaps  ||  $remote_host = lckyu* || $remote_host = lcxe6 ]]
+    if [[ $(echo $remote_host | cut -c1-3) = ibm  ||  $remote_host = lcbullhh  ||  $remote_host = lccrayb  ||  $remote_host = lccrayh  ||  $(echo $remote_host | cut -c1-3) = nec  ||  $remote_host = lcflow  ||  $remote_host = lckiaps  ||  $remote_host = lckyu* || $remote_host = lcxe6  ||  $remote_host = lcocean ]]
     then
        if [[ $remote_host = ibmh ]]
@@ -1395,4 +1415,25 @@
           echo "[[ \"\$for_subjob_to_do\" != \"\" ]]  &&  eval \$for_subjob_to_do"  >>  $job_to_send
           echo "%%END%%"                                 >>  $job_to_send
+
+       elif [[ $remote_host = lcocean ]]
+       then
+          echo "cat > scpjob.${identifier}.tmp << %%END%%"                  >>  $job_to_send
+          echo "#!/bin/bash"                                             >>  $job_to_send
+          echo "SGEPREFIX -S /bin/bash"                                  >>  $job_to_send
+          echo "SGEPREFIX -N transfer_$job_name"                         >>  $job_to_send
+          echo "SGEPREFIX -cwd"                                          >>  $job_to_send
+          echo "SGEPREFIX -j y"                                          >>  $job_to_send
+          echo "SGEPREFIX -o ${local_host}_${job_name}_scpjob_$identifier"  >>  $job_to_send 
+          echo " "                                                       >>  $job_to_send 
+          echo "set -x"                                                  >>  $job_to_send 
+          echo "export PALM_BIN=$PALM_BIN" | sed -e 's:'$HOME':$HOME:'   >>  $job_to_send
+          echo "export PATH=\$PATH:\$PALM_BIN"                           >>  $job_to_send
+          echo ""                                 >>  $job_to_send         
+          echo "batch_scp  $PORTOPT  -d  -w 10  -u $local_user $local_address  ${job_catalog}/$remote_dayfile  \"$job_catalog\"  $local_dayfile"  >>  $job_to_send
+          echo "[[ \"\$for_subjob_to_do\" != \"\" ]]  &&  eval \$for_subjob_to_do"  >>  $job_to_send
+          echo "rm -f scpjob.${identifier}"                                 >>  $job_to_send         
+          echo "%%END%%"                                                 >>  $job_to_send
+          echo "sed -e 's/SGEPREFIX/#$/g' scpjob.${identifier}.tmp > scpjob.${identifier}" >>  $job_to_send         
+          echo "rm -f scpjob.${identifier}.tmp"                             >>  $job_to_send         
 
        elif [[ $remote_host = lcflow ]]
@@ -1484,5 +1525,5 @@
           echo "scp $PORTOPT scpjob.$identifier  ${remote_username}@${remote_address}:job_queue"           >>  $job_to_send
           echo "ssh $SSH_PORTOPT ${remote_username}@${remote_address}  \"cd job_queue; $submcom scpjob.$identifier; rm scpjob.$identifier\" "  >>  $job_to_send
-       elif [[ $remote_host = lcflow ]]
+       elif [[ $remote_host = lcflow  ||  $remote_host = lcocean ]]
        then
           echo "mv  scpjob.$identifier  $job_catalog"           >>  $job_to_send