Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 1872)
+++ palm/trunk/SOURCE/Makefile	(revision 1873)
@@ -270,18 +270,18 @@
 PROG =  palm
 
-SOURCES = advec_s_bc_mod.f90 advec_s_pw_mod.f90 advec_s_up_mod.f90 advec_ws_mod.f90 \
-	advec_u_pw_mod.f90 advec_u_up_mod.f90 advec_v_pw_mod.f90 advec_v_up_mod.f90 \
-	advec_w_pw_mod.f90 advec_w_up_mod.f90 average_3d_data.f90 boundary_conds.f90 \
-	buoyancy_mod.f90 calc_liquid_water_content.f90 calc_mean_profile_mod.f90 \
-	calc_radiation_mod.f90 \
+SOURCES = advec_s_bc.f90 advec_s_pw.f90 advec_s_up.f90 advec_ws.f90 \
+	advec_u_pw.f90 advec_u_up.f90 advec_v_pw.f90 advec_v_up.f90 \
+	advec_w_pw.f90 advec_w_up.f90 average_3d_data.f90 boundary_conds.f90 \
+	buoyancy.f90 calc_liquid_water_content.f90 calc_mean_profile.f90 \
+	calc_radiation.f90 \
 	check_for_restart.f90 check_open.f90 check_parameters.f90 \
-	close_file.f90 compute_vpt.f90 coriolis_mod.f90 cpulog_mod.f90 \
-	cuda_fft_interfaces_mod.f90 data_log.f90 data_output_dvrp_mod.f90 \
+	close_file.f90 compute_vpt.f90 coriolis.f90 cpulog_mod.f90 \
+	cuda_fft_interfaces_mod.f90 data_log.f90 data_output_dvrp.f90 \
 	data_output_mask.f90 data_output_profiles.f90 \
 	data_output_ptseries.f90 data_output_spectra.f90 \
 	data_output_tseries.f90 data_output_2d.f90 data_output_3d.f90 \
-	diffusion_e_mod.f90 diffusion_s_mod.f90 diffusion_u_mod.f90 diffusion_v_mod.f90 \
-	diffusion_w_mod.f90 diffusivities.f90 disturb_field.f90 \
-	disturb_heatflux.f90 eqn_state_seawater_mod.f90 exchange_horiz.f90 \
+	diffusion_e.f90 diffusion_s.f90 diffusion_u.f90 diffusion_v.f90 \
+	diffusion_w.f90 diffusivities.f90 disturb_field.f90 \
+	disturb_heatflux.f90 eqn_state_seawater.f90 exchange_horiz.f90 \
 	exchange_horiz_2d.f90 fft_xy_mod.f90 flow_statistics.f90 \
 	global_min_max.f90 header.f90 \
@@ -290,11 +290,11 @@
 	init_grid.f90 init_masks.f90 init_ocean.f90 \
 	init_pegrid.f90 init_pt_anomaly.f90 init_rankine.f90 init_slope.f90 \
-	interaction_droplets_ptq_mod.f90 land_surface_model_mod.f90 \
+	interaction_droplets_ptq.f90 land_surface_model_mod.f90 \
 	local_stop.f90 local_system.f90 local_tremain.f90 \
 	local_tremain_ini.f90 lpm.f90 lpm_advec.f90 lpm_boundary_conds.f90 \
-	lpm_calc_liquid_water_content.f90 lpm_collision_kernels_mod.f90 \
+	lpm_calc_liquid_water_content.f90 lpm_collision_kernels.f90 \
 	lpm_data_output_particles.f90 lpm_droplet_collision.f90 \
-	lpm_droplet_condensation.f90 lpm_exchange_horiz_mod.f90 \
-	lpm_init_mod.f90 lpm_init_sgs_tke.f90 \
+	lpm_droplet_condensation.f90 lpm_exchange_horiz.f90 \
+	lpm_init.f90 lpm_init_sgs_tke.f90 \
 	lpm_pack_arrays.f90 lpm_read_restart_file.f90 \
 	lpm_set_attributes.f90 \
@@ -306,6 +306,6 @@
 	pmc_server_mod.f90 \
 	poisfft_mod.f90 poismg.f90 \
-	poismg_fast_mod.f90 pres.f90 print_1d.f90 production_e_mod.f90 \
-	prognostic_equations_mod.f90 progress_bar_mod.f90 radiation_model_mod.f90 \
+	poismg_fast_mod.f90 pres.f90 print_1d.f90 production_e.f90 \
+	prognostic_equations.f90 progress_bar_mod.f90 radiation_model_mod.f90 \
 	random_function_mod.f90 random_gauss.f90 random_generator_parallel_mod.f90 \
 	read_3d_binary.f90 read_var_list.f90 run_control.f90 \
@@ -316,5 +316,5 @@
 	timestep_scheme_steering.f90 transpose.f90 tridia_solver_mod.f90 \
 	user_3d_data_averaging.f90 \
-	user_actions_mod.f90 user_additional_routines.f90 \
+	user_actions.f90 user_additional_routines.f90 \
 	user_check_data_output.f90 user_check_data_output_pr.f90 \
 	user_check_parameters.f90 user_data_output_2d.f90 \
@@ -325,7 +325,7 @@
 	user_init_plant_canopy.f90 user_init_radiation.f90 \
 	user_last_actions.f90 user_lpm_advec.f90 \
-	user_lpm_init.f90 user_lpm_set_attributes.f90 user_module_mod.f90 \
+	user_lpm_init.f90 user_lpm_set_attributes.f90 user_module.f90 \
 	user_parin.f90 user_read_restart_data.f90 \
-	user_spectra.f90 user_statistics.f90 wall_fluxes_mod.f90 \
+	user_spectra.f90 user_statistics.f90 wall_fluxes.f90 \
 	write_3d_binary.f90 write_var_list.f90
 
@@ -360,21 +360,21 @@
 
 
-advec_s_bc_mod.o: modules.o cpulog_mod.o mod_kinds.o
-advec_s_pw_mod.o: modules.o mod_kinds.o
-advec_s_up_mod.o: modules.o mod_kinds.o
-advec_u_pw_mod.o: modules.o mod_kinds.o
-advec_u_up_mod.o: modules.o mod_kinds.o
-advec_v_pw_mod.o: modules.o mod_kinds.o
-advec_v_up_mod.o: modules.o mod_kinds.o
-advec_ws_mod.o: modules.o mod_kinds.o
-advec_w_pw_mod.o: modules.o mod_kinds.o
-advec_w_up_mod.o: modules.o mod_kinds.o
+advec_s_bc.o: modules.o cpulog_mod.o mod_kinds.o
+advec_s_pw.o: modules.o mod_kinds.o
+advec_s_up.o: modules.o mod_kinds.o
+advec_u_pw.o: modules.o mod_kinds.o
+advec_u_up.o: modules.o mod_kinds.o
+advec_v_pw.o: modules.o mod_kinds.o
+advec_v_up.o: modules.o mod_kinds.o
+advec_ws.o: modules.o mod_kinds.o
+advec_w_pw.o: modules.o mod_kinds.o
+advec_w_up.o: modules.o mod_kinds.o
 average_3d_data.o: modules.o cpulog_mod.o mod_kinds.o land_surface_model_mod.o\
                    radiation_model_mod.o
 boundary_conds.o: modules.o mod_kinds.o
-buoyancy_mod.o: modules.o mod_kinds.o
-calc_mean_profile_mod.o: modules.o mod_kinds.o
+buoyancy.o: modules.o mod_kinds.o
+calc_mean_profile.o: modules.o mod_kinds.o
 calc_liquid_water_content.o: modules.o mod_kinds.o
-calc_radiation_mod.o: modules.o mod_kinds.o
+calc_radiation.o: modules.o mod_kinds.o
 check_for_restart.o: modules.o mod_kinds.o pmc_interface_mod.o
 check_open.o: modules.o mod_kinds.o mod_particle_attributes.o netcdf_interface_mod.o
@@ -384,10 +384,10 @@
 close_file.o: modules.o mod_kinds.o netcdf_interface_mod.o
 compute_vpt.o: modules.o mod_kinds.o
-coriolis_mod.o: modules.o mod_kinds.o
+coriolis.o: modules.o mod_kinds.o
 cpulog_mod.o: modules.o mod_kinds.o
 cpu_statistics.o: modules.o mod_kinds.o
 cuda_fft_interfaces_mod.o: cuda_fft_interfaces_mod.f90 modules.o mod_kinds.o
 data_log.o: modules.o mod_kinds.o
-data_output_dvrp_mod.o: modules.o cpulog_mod.o mod_kinds.o
+data_output_dvrp.o: modules.o cpulog_mod.o mod_kinds.o
 data_output_mask.o: modules.o cpulog_mod.o mod_kinds.o mod_particle_attributes.o \
    netcdf_interface_mod.o
@@ -402,15 +402,15 @@
 data_output_3d.o: modules.o cpulog_mod.o mod_kinds.o mod_particle_attributes.o\
    netcdf_interface_mod.o land_surface_model_mod.o
-diffusion_e_mod.o: modules.o mod_kinds.o microphysics_mod.o \
+diffusion_e.o: modules.o mod_kinds.o microphysics_mod.o \
    mod_particle_attributes.o
-diffusion_s_mod.o: modules.o mod_kinds.o
-diffusion_u_mod.o: modules.o mod_kinds.o wall_fluxes_mod.o
-diffusion_v_mod.o: modules.o mod_kinds.o wall_fluxes_mod.o
-diffusion_w_mod.o: modules.o mod_kinds.o wall_fluxes_mod.o
+diffusion_s.o: modules.o mod_kinds.o
+diffusion_u.o: modules.o mod_kinds.o wall_fluxes.o
+diffusion_v.o: modules.o mod_kinds.o wall_fluxes.o
+diffusion_w.o: modules.o mod_kinds.o wall_fluxes.o
 diffusivities.o: modules.o mod_kinds.o
 disturb_field.o: modules.o cpulog_mod.o mod_kinds.o random_function_mod.o\
                  random_generator_parallel_mod.o
 disturb_heatflux.o: modules.o cpulog_mod.o mod_kinds.o
-eqn_state_seawater_mod.o: modules.o mod_kinds.o
+eqn_state_seawater.o: modules.o mod_kinds.o
 exchange_horiz.o: modules.o cpulog_mod.o mod_kinds.o
 exchange_horiz_2d.o: modules.o cpulog_mod.o mod_kinds.o
@@ -424,6 +424,6 @@
 inflow_turbulence.o: modules.o cpulog_mod.o mod_kinds.o
 init_1d_model.o: modules.o mod_kinds.o
-init_3d_model.o: modules.o mod_kinds.o advec_ws_mod.o cpulog_mod.o land_surface_model_mod.o \
-   lpm_init_mod.o ls_forcing_mod.o netcdf_interface_mod.o plant_canopy_model_mod.o \
+init_3d_model.o: modules.o mod_kinds.o advec_ws.o cpulog_mod.o land_surface_model_mod.o \
+   lpm_init.o ls_forcing_mod.o netcdf_interface_mod.o plant_canopy_model_mod.o \
    radiation_model_mod.o random_function_mod.o random_generator_parallel_mod.o \
    surface_layer_fluxes_mod.o microphysics_mod.o mod_particle_attributes.o
@@ -434,15 +434,15 @@
 init_grid.o: modules.o mod_kinds.o
 init_masks.o: modules.o mod_kinds.o netcdf_interface_mod.o
-init_ocean.o: modules.o eqn_state_seawater_mod.o mod_kinds.o
+init_ocean.o: modules.o eqn_state_seawater.o mod_kinds.o
 init_pegrid.o: modules.o mod_kinds.o spectra_mod.o
 init_pt_anomaly.o: modules.o mod_kinds.o
 init_rankine.o: modules.o mod_kinds.o
 init_slope.o: modules.o mod_kinds.o
-interaction_droplets_ptq_mod.o: modules.o mod_kinds.o
+interaction_droplets_ptq.o: modules.o mod_kinds.o
 land_surface_model_mod.o: modules.o mod_kinds.o radiation_model_mod.o
 local_stop.o: modules.o mod_kinds.o pmc_interface_mod.o
 local_tremain.o: modules.o cpulog_mod.o mod_kinds.o
 local_tremain_ini.o: modules.o cpulog_mod.o mod_kinds.o
-lpm.o: modules.o cpulog_mod.o lpm_exchange_horiz_mod.o lpm_init_mod.o lpm_pack_arrays.o \
+lpm.o: modules.o cpulog_mod.o lpm_exchange_horiz.o lpm_init.o lpm_pack_arrays.o \
 	mod_kinds.o mod_particle_attributes.o
 lpm_advec.o: modules.o cpulog_mod.o mod_kinds.o mod_particle_attributes.o
@@ -450,17 +450,17 @@
 lpm_calc_liquid_water_content.o: modules.o cpulog_mod.o mod_kinds.o \
 	mod_particle_attributes.o
-lpm_collision_kernels_mod.o: modules.o cpulog_mod.o user_module_mod.o mod_kinds.o \
+lpm_collision_kernels.o: modules.o cpulog_mod.o user_module.o mod_kinds.o \
 	mod_particle_attributes.o
 lpm_data_output_particles.o: modules.o cpulog_mod.o mod_kinds.o \
 	mod_particle_attributes.o netcdf_interface_mod.o
-lpm_droplet_collision.o: modules.o cpulog_mod.o lpm_collision_kernels_mod.o \
+lpm_droplet_collision.o: modules.o cpulog_mod.o lpm_collision_kernels.o \
 	mod_kinds.o mod_particle_attributes.o
-lpm_droplet_condensation.o: modules.o cpulog_mod.o lpm_collision_kernels_mod.o \
+lpm_droplet_condensation.o: modules.o cpulog_mod.o lpm_collision_kernels.o \
 	mod_kinds.o mod_particle_attributes.o
-lpm_exchange_horiz_mod.o: modules.o cpulog_mod.o lpm_pack_arrays.o mod_kinds.o \
+lpm_exchange_horiz.o: modules.o cpulog_mod.o lpm_pack_arrays.o mod_kinds.o \
 	mod_particle_attributes.o netcdf_interface_mod.o
-lpm_init_mod.o: modules.o lpm_collision_kernels_mod.o mod_kinds.o \
+lpm_init.o: modules.o lpm_collision_kernels.o mod_kinds.o \
 	netcdf_interface_mod.o random_function_mod.o mod_particle_attributes.o \
-	lpm_exchange_horiz_mod.o lpm_pack_arrays.o random_generator_parallel_mod.o
+	lpm_exchange_horiz.o lpm_pack_arrays.o random_generator_parallel_mod.o
 lpm_init_sgs_tke.o: modules.o mod_kinds.o mod_particle_attributes.o
 lpm_pack_arrays.o: modules.o cpulog_mod.o mod_kinds.o mod_particle_attributes.o
@@ -499,12 +499,12 @@
 pres.o: modules.o cpulog_mod.o mod_kinds.o poisfft_mod.o poismg_fast_mod.o
 print_1d.o: modules.o cpulog_mod.o mod_kinds.o
-production_e_mod.o: modules.o mod_kinds.o wall_fluxes_mod.o
-prognostic_equations_mod.o: modules.o advec_s_pw_mod.o advec_s_up_mod.o advec_s_bc_mod.o advec_u_pw_mod.o \
-	advec_u_up_mod.o advec_v_pw_mod.o advec_v_up_mod.o advec_w_pw_mod.o advec_w_up_mod.o \
-	advec_ws_mod.o buoyancy_mod.o calc_radiation_mod.o coriolis_mod.o \
-	cpulog_mod.o diffusion_e_mod.o diffusion_s_mod.o diffusion_u_mod.o diffusion_v_mod.o diffusion_w_mod.o \
-	eqn_state_seawater_mod.o mod_kinds.o microphysics_mod.o \
-	nudging_mod.o plant_canopy_model_mod.o production_e_mod.o radiation_model_mod.o \
-	subsidence_mod.o user_actions_mod.o
+production_e.o: modules.o mod_kinds.o wall_fluxes.o
+prognostic_equations.o: modules.o advec_s_pw.o advec_s_up.o advec_s_bc.o advec_u_pw.o \
+	advec_u_up.o advec_v_pw.o advec_v_up.o advec_w_pw.o advec_w_up.o \
+	advec_ws.o buoyancy.o calc_radiation.o coriolis.o \
+	cpulog_mod.o diffusion_e.o diffusion_s.o diffusion_u.o diffusion_v.o diffusion_w.o \
+	eqn_state_seawater.o mod_kinds.o microphysics_mod.o \
+	nudging_mod.o plant_canopy_model_mod.o production_e.o radiation_model_mod.o \
+	subsidence_mod.o user_actions.o
 progress_bar_mod.o: modules.o mod_kinds.o
 radiation_model_mod.o : modules.o mod_particle_attributes.o microphysics_mod.o
@@ -530,9 +530,9 @@
    pmc_interface_mod.o
 temperton_fft_mod.o: modules.o mod_kinds.o
-time_integration.o: modules.o advec_ws_mod.o buoyancy_mod.o calc_mean_profile_mod.o \
-	cpulog_mod.o interaction_droplets_ptq_mod.o land_surface_model_mod.o \
-	ls_forcing_mod.o mod_kinds.o nudging_mod.o pmc_interface_mod.o production_e_mod.o \
-	prognostic_equations_mod.o progress_bar_mod.o radiation_model_mod.o \
-	spectra_mod.o user_actions_mod.o surface_layer_fluxes_mod.o microphysics_mod.o
+time_integration.o: modules.o advec_ws.o buoyancy.o calc_mean_profile.o \
+	cpulog_mod.o interaction_droplets_ptq.o land_surface_model_mod.o \
+	ls_forcing_mod.o mod_kinds.o nudging_mod.o pmc_interface_mod.o production_e.o \
+	prognostic_equations.o progress_bar_mod.o radiation_model_mod.o \
+	spectra_mod.o user_actions.o surface_layer_fluxes_mod.o microphysics_mod.o
 time_to_string.o: mod_kinds.o
 timestep.o: modules.o cpulog_mod.o mod_kinds.o microphysics_mod.o
@@ -540,34 +540,34 @@
 transpose.o: modules.o cpulog_mod.o mod_kinds.o
 tridia_solver_mod.o: modules.o mod_kinds.o
-user_3d_data_averaging.o: modules.o mod_kinds.o user_module_mod.o
-user_actions_mod.o: modules.o cpulog_mod.o mod_kinds.o user_module_mod.o
-user_additional_routines.o: modules.o mod_kinds.o user_module_mod.o
-user_check_data_output.o: modules.o mod_kinds.o user_module_mod.o
-user_check_data_output_pr.o: modules.o mod_kinds.o user_module_mod.o \
+user_3d_data_averaging.o: modules.o mod_kinds.o user_module.o
+user_actions.o: modules.o cpulog_mod.o mod_kinds.o user_module.o
+user_additional_routines.o: modules.o mod_kinds.o user_module.o
+user_check_data_output.o: modules.o mod_kinds.o user_module.o
+user_check_data_output_pr.o: modules.o mod_kinds.o user_module.o \
    netcdf_interface_mod.o
-user_check_parameters.o: modules.o mod_kinds.o user_module_mod.o
-user_data_output_2d.o: modules.o mod_kinds.o user_module_mod.o
-user_data_output_3d.o: modules.o mod_kinds.o user_module_mod.o
-user_data_output_mask.o: modules.o mod_kinds.o user_module_mod.o
-user_data_output_dvrp.o: modules.o mod_kinds.o user_module_mod.o
-user_define_netcdf_grid.o: modules.o mod_kinds.o user_module_mod.o
-user_dvrp_coltab.o: modules.o mod_kinds.o user_module_mod.o
-user_header.o: modules.o mod_kinds.o user_module_mod.o
-user_init.o: modules.o mod_kinds.o netcdf_interface_mod.o user_module_mod.o
-user_init_3d_model.o: modules.o mod_kinds.o user_module_mod.o
-user_init_grid.o: modules.o mod_kinds.o user_module_mod.o
-user_init_land_surface.o: modules.o mod_kinds.o user_module_mod.o land_surface_model_mod.o
-user_init_plant_canopy.o: modules.o mod_kinds.o user_module_mod.o plant_canopy_model_mod.o
-user_init_radiation.o: modules.o mod_kinds.o user_module_mod.o radiation_model_mod.o
-user_last_actions.o: modules.o mod_kinds.o user_module_mod.o
-user_lpm_advec.o: modules.o mod_kinds.o user_module_mod.o
-user_lpm_init.o: modules.o mod_kinds.o user_module_mod.o
-user_lpm_set_attributes.o: modules.o mod_kinds.o user_module_mod.o
-user_module_mod.o: mod_kinds.o user_module_mod.f90
-user_parin.o: modules.o mod_kinds.o user_module_mod.o
-user_read_restart_data.o: modules.o mod_kinds.o user_module_mod.o
-user_spectra.o: modules.o mod_kinds.o spectra_mod.o user_module_mod.o
-user_statistics.o: modules.o mod_kinds.o netcdf_interface_mod.o user_module_mod.o
-wall_fluxes_mod.o: modules.o mod_kinds.o
+user_check_parameters.o: modules.o mod_kinds.o user_module.o
+user_data_output_2d.o: modules.o mod_kinds.o user_module.o
+user_data_output_3d.o: modules.o mod_kinds.o user_module.o
+user_data_output_mask.o: modules.o mod_kinds.o user_module.o
+user_data_output_dvrp.o: modules.o mod_kinds.o user_module.o
+user_define_netcdf_grid.o: modules.o mod_kinds.o user_module.o
+user_dvrp_coltab.o: modules.o mod_kinds.o user_module.o
+user_header.o: modules.o mod_kinds.o user_module.o
+user_init.o: modules.o mod_kinds.o netcdf_interface_mod.o user_module.o
+user_init_3d_model.o: modules.o mod_kinds.o user_module.o
+user_init_grid.o: modules.o mod_kinds.o user_module.o
+user_init_land_surface.o: modules.o mod_kinds.o user_module.o land_surface_model_mod.o
+user_init_plant_canopy.o: modules.o mod_kinds.o user_module.o plant_canopy_model_mod.o
+user_init_radiation.o: modules.o mod_kinds.o user_module.o radiation_model_mod.o
+user_last_actions.o: modules.o mod_kinds.o user_module.o
+user_lpm_advec.o: modules.o mod_kinds.o user_module.o
+user_lpm_init.o: modules.o mod_kinds.o user_module.o
+user_lpm_set_attributes.o: modules.o mod_kinds.o user_module.o
+user_module.o: mod_kinds.o user_module.f90
+user_parin.o: modules.o mod_kinds.o user_module.o
+user_read_restart_data.o: modules.o mod_kinds.o user_module.o
+user_spectra.o: modules.o mod_kinds.o spectra_mod.o user_module.o
+user_statistics.o: modules.o mod_kinds.o netcdf_interface_mod.o user_module.o
+wall_fluxes.o: modules.o mod_kinds.o
 write_3d_binary.o: modules.o cpulog_mod.o mod_kinds.o land_surface_model_mod.o \
 	radiation_model_mod.o random_function_mod.o random_generator_parallel_mod.o \