Index: /palm/trunk/SOURCE/advec_s_bc.f90
===================================================================
--- /palm/trunk/SOURCE/advec_s_bc.f90	(revision 1873)
+++ /palm/trunk/SOURCE/advec_s_bc.f90	(revision 1874)
@@ -19,5 +19,4 @@
 ! Current revisions:
 ! -----------------
-! Module renamed (removed _mod)
 ! 
 ! 
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1873 2016-04-18 14:50:06Z maronga
+! Module renamed (removed _mod)
+! 
+! 
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
Index: /palm/trunk/SOURCE/advec_s_pw.f90
===================================================================
--- /palm/trunk/SOURCE/advec_s_pw.f90	(revision 1873)
+++ /palm/trunk/SOURCE/advec_s_pw.f90	(revision 1874)
@@ -19,5 +19,4 @@
 ! Current revisions:
 ! -----------------
-! Module renamed (removed _mod)
 ! 
 ! 
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1873 2016-04-18 14:50:06Z maronga
+! Module renamed (removed _mod)
+! 
+! 
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
Index: /palm/trunk/SOURCE/advec_s_up.f90
===================================================================
--- /palm/trunk/SOURCE/advec_s_up.f90	(revision 1873)
+++ /palm/trunk/SOURCE/advec_s_up.f90	(revision 1874)
@@ -19,5 +19,4 @@
 ! Current revisions:
 ! -----------------
-! Module renamed (removed _mod)
 ! 
 ! 
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1873 2016-04-18 14:50:06Z maronga
+! Module renamed (removed _mod)
+! 
+! 
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
Index: /palm/trunk/SOURCE/advec_u_pw.f90
===================================================================
--- /palm/trunk/SOURCE/advec_u_pw.f90	(revision 1873)
+++ /palm/trunk/SOURCE/advec_u_pw.f90	(revision 1874)
@@ -19,5 +19,4 @@
 ! Current revisions:
 ! -----------------
-! Module renamed (removed _mod)
 ! 
 ! 
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1873 2016-04-18 14:50:06Z maronga
+! Module renamed (removed _mod)
+! 
+! 
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
Index: /palm/trunk/SOURCE/advec_u_up.f90
===================================================================
--- /palm/trunk/SOURCE/advec_u_up.f90	(revision 1873)
+++ /palm/trunk/SOURCE/advec_u_up.f90	(revision 1874)
@@ -19,5 +19,4 @@
 ! Current revisions:
 ! -----------------
-! Module renamed (removed _mod)
 ! 
 ! 
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1873 2016-04-18 14:50:06Z maronga
+! Module renamed (removed _mod)
+! 
+! 
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
Index: /palm/trunk/SOURCE/advec_v_pw.f90
===================================================================
--- /palm/trunk/SOURCE/advec_v_pw.f90	(revision 1873)
+++ /palm/trunk/SOURCE/advec_v_pw.f90	(revision 1874)
@@ -19,5 +19,4 @@
 ! Current revisions:
 ! -----------------
-! Module renamed (removed _mod)
 ! 
 ! 
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1873 2016-04-18 14:50:06Z maronga
+! Module renamed (removed _mod)
+! 
+! 
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
Index: /palm/trunk/SOURCE/advec_v_up.f90
===================================================================
--- /palm/trunk/SOURCE/advec_v_up.f90	(revision 1873)
+++ /palm/trunk/SOURCE/advec_v_up.f90	(revision 1874)
@@ -19,5 +19,4 @@
 ! Current revisions:
 ! -----------------
-! Module renamed (removed _mod)
 ! 
 ! 
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1873 2016-04-18 14:50:06Z maronga
+! Module renamed (removed _mod)
+! 
+! 
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
Index: /palm/trunk/SOURCE/advec_w_pw.f90
===================================================================
--- /palm/trunk/SOURCE/advec_w_pw.f90	(revision 1873)
+++ /palm/trunk/SOURCE/advec_w_pw.f90	(revision 1874)
@@ -19,5 +19,4 @@
 ! Current revisions:
 ! -----------------
-! Module renamed (removed _mod)
 ! 
 ! 
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1873 2016-04-18 14:50:06Z maronga
+! Module renamed (removed _mod)
+! 
+! 
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
Index: /palm/trunk/SOURCE/advec_w_up.f90
===================================================================
--- /palm/trunk/SOURCE/advec_w_up.f90	(revision 1873)
+++ /palm/trunk/SOURCE/advec_w_up.f90	(revision 1874)
@@ -19,5 +19,4 @@
 ! Current revisions:
 ! -----------------
-! Module renamed (removed _mod)
 ! 
 ! 
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1873 2016-04-18 14:50:06Z maronga
+! Module renamed (removed _mod)
+! 
+! 
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
Index: /palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- /palm/trunk/SOURCE/advec_ws.f90	(revision 1873)
+++ /palm/trunk/SOURCE/advec_ws.f90	(revision 1874)
@@ -19,5 +19,4 @@
 ! Current revisions:
 ! ------------------
-! Module renamed (removed _mod)
 ! 
 ! 
@@ -25,4 +24,8 @@
 ! -----------------
 ! $Id$ 
+! 
+! 1873 2016-04-18 14:50:06Z maronga
+! Module renamed (removed _mod)
+! 
 ! 
 ! 1850 2016-04-08 13:29:27Z maronga
Index: /palm/trunk/SOURCE/buoyancy.f90
===================================================================
--- /palm/trunk/SOURCE/buoyancy.f90	(revision 1873)
+++ /palm/trunk/SOURCE/buoyancy.f90	(revision 1874)
@@ -19,5 +19,4 @@
 ! Current revisions:
 ! ------------------
-! Module renamed (removed _mod)
 ! 
 ! 
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1873 2016-04-18 14:50:06Z maronga
+! Module renamed (removed _mod)
+! 
+! 
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
Index: /palm/trunk/SOURCE/calc_mean_profile.f90
===================================================================
--- /palm/trunk/SOURCE/calc_mean_profile.f90	(revision 1873)
+++ /palm/trunk/SOURCE/calc_mean_profile.f90	(revision 1874)
@@ -19,5 +19,4 @@
 ! Current revisions:
 ! -----------------
-! Module renamed (removed _mod)
 ! 
 ! 
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1873 2016-04-18 14:50:06Z maronga
+! Module renamed (removed _mod)
+! 
+! 
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
Index: /palm/trunk/SOURCE/calc_radiation.f90
===================================================================
--- /palm/trunk/SOURCE/calc_radiation.f90	(revision 1873)
+++ /palm/trunk/SOURCE/calc_radiation.f90	(revision 1874)
@@ -19,5 +19,4 @@
 ! Current revisions:
 ! -----------------
-! Module renamed (removed _mod)
 ! 
 ! 
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1873 2016-04-18 14:50:06Z maronga
+! Module renamed (removed _mod)
+! 
+! 
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
Index: /palm/trunk/SOURCE/coriolis.f90
===================================================================
--- /palm/trunk/SOURCE/coriolis.f90	(revision 1873)
+++ /palm/trunk/SOURCE/coriolis.f90	(revision 1874)
@@ -19,5 +19,4 @@
 ! Current revisions:
 ! -----------------
-! Module renamed (removed _mod)
 ! 
 ! 
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1873 2016-04-18 14:50:06Z maronga
+! Module renamed (removed _mod)
+! 
+! 
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
Index: /palm/trunk/SOURCE/data_output_dvrp.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_dvrp.f90	(revision 1873)
+++ /palm/trunk/SOURCE/data_output_dvrp.f90	(revision 1874)
@@ -19,5 +19,4 @@
 ! Current revisions:
 ! -----------------
-! Module renamed (removed _mod)
 ! 
 ! 
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1873 2016-04-18 14:50:06Z maronga
+! Module renamed (removed _mod)
+! 
+! 
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
Index: /palm/trunk/SOURCE/diffusion_e.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_e.f90	(revision 1873)
+++ /palm/trunk/SOURCE/diffusion_e.f90	(revision 1874)
@@ -19,5 +19,4 @@
 ! Current revisions:
 ! -----------------
-! Module renamed (removed _mod)
 ! 
 ! 
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1873 2016-04-18 14:50:06Z maronga
+! Module renamed (removed _mod)
+! 
+! 
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
Index: /palm/trunk/SOURCE/diffusion_s.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_s.f90	(revision 1873)
+++ /palm/trunk/SOURCE/diffusion_s.f90	(revision 1874)
@@ -19,5 +19,4 @@
 ! Current revisions:
 ! ------------------
-! Module renamed (removed _mod)
 ! 
 ! 
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1873 2016-04-18 14:50:06Z maronga
+! Module renamed (removed _mod)
+! 
+! 
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
Index: /palm/trunk/SOURCE/diffusion_u.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_u.f90	(revision 1873)
+++ /palm/trunk/SOURCE/diffusion_u.f90	(revision 1874)
@@ -19,5 +19,4 @@
 ! Current revisions:
 ! -----------------
-! Module renamed (removed _mod)
 ! 
 ! 
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1873 2016-04-18 14:50:06Z maronga
+! Module renamed (removed _mod)
+! 
+! 
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
Index: /palm/trunk/SOURCE/diffusion_v.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_v.f90	(revision 1873)
+++ /palm/trunk/SOURCE/diffusion_v.f90	(revision 1874)
@@ -19,5 +19,4 @@
 ! Current revisions:
 ! -----------------
-! Module renamed (removed _mod)
 ! 
 ! 
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1873 2016-04-18 14:50:06Z maronga
+! Module renamed (removed _mod)
+! 
+! 
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
Index: /palm/trunk/SOURCE/diffusion_w.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_w.f90	(revision 1873)
+++ /palm/trunk/SOURCE/diffusion_w.f90	(revision 1874)
@@ -19,5 +19,4 @@
 ! Current revisions:
 ! -----------------
-! Module renamed (removed _mod)
 ! 
 ! 
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1873 2016-04-18 14:50:06Z maronga
+! Module renamed (removed _mod)
+! 
+! 
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
Index: /palm/trunk/SOURCE/eqn_state_seawater.f90
===================================================================
--- /palm/trunk/SOURCE/eqn_state_seawater.f90	(revision 1873)
+++ /palm/trunk/SOURCE/eqn_state_seawater.f90	(revision 1874)
@@ -19,5 +19,4 @@
 ! Current revisions:
 ! -----------------
-! Module renamed (removed _mod)
 ! 
 ! 
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1873 2016-04-18 14:50:06Z maronga
+! Module renamed (removed _mod)
+! 
+! 
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
Index: /palm/trunk/SOURCE/interaction_droplets_ptq.f90
===================================================================
--- /palm/trunk/SOURCE/interaction_droplets_ptq.f90	(revision 1873)
+++ /palm/trunk/SOURCE/interaction_droplets_ptq.f90	(revision 1874)
@@ -19,5 +19,4 @@
 ! Current revisions:
 ! -----------------
-! Module renamed (removed _mod)
 ! 
 ! 
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1873 2016-04-18 14:50:06Z maronga
+! Module renamed (removed _mod)
+! 
+! 
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
Index: /palm/trunk/SOURCE/lpm_collision_kernels.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_collision_kernels.f90	(revision 1873)
+++ /palm/trunk/SOURCE/lpm_collision_kernels.f90	(revision 1874)
@@ -19,6 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Module renamed (removed _mod)
-!
+! 
 ! 
 ! Former revisions:
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1873 2016-04-18 14:50:06Z maronga
+! Module renamed (removed _mod)
+!
+! 
 ! 1858 2016-04-13 13:12:11Z hoffmann
 ! Interpolation of collision kernels adjusted to more reasonable values.
Index: /palm/trunk/SOURCE/lpm_exchange_horiz.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_exchange_horiz.f90	(revision 1873)
+++ /palm/trunk/SOURCE/lpm_exchange_horiz.f90	(revision 1874)
@@ -19,5 +19,4 @@
 ! Current revisions:
 ! ------------------
-! Module renamed (removed _mod)
 ! 
 ! 
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1873 2016-04-18 14:50:06Z maronga
+! Module renamed (removed _mod)
+! 
+! 
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
Index: /palm/trunk/SOURCE/lpm_init.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_init.f90	(revision 1873)
+++ /palm/trunk/SOURCE/lpm_init.f90	(revision 1874)
@@ -19,6 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Module renamed (removed _mod)
-
+! 
 ! 
 ! Former revisions:
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1873 2016-04-18 14:50:06Z maronga
+! Module renamed (removed _mod)
+
+! 
 ! 1871 2016-04-15 11:46:09Z hoffmann
 ! Initialization of aerosols added.
Index: /palm/trunk/SOURCE/production_e.f90
===================================================================
--- /palm/trunk/SOURCE/production_e.f90	(revision 1873)
+++ /palm/trunk/SOURCE/production_e.f90	(revision 1874)
@@ -19,5 +19,4 @@
 ! Current revisions:
 ! -----------------
-! Module renamed (removed _mod)
 ! 
 ! 
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1873 2016-04-18 14:50:06Z maronga
+! Module renamed (removed _mod)
+! 
+! 
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
Index: /palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- /palm/trunk/SOURCE/prognostic_equations.f90	(revision 1873)
+++ /palm/trunk/SOURCE/prognostic_equations.f90	(revision 1874)
@@ -19,5 +19,4 @@
 ! Current revisions:
 ! ------------------
-! Module renamed (removed _mod)
 ! 
 ! 
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1873 2016-04-18 14:50:06Z maronga
+! Module renamed (removed _mod)
+! 
+! 
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
Index: /palm/trunk/SOURCE/user_actions.f90
===================================================================
--- /palm/trunk/SOURCE/user_actions.f90	(revision 1873)
+++ /palm/trunk/SOURCE/user_actions.f90	(revision 1874)
@@ -19,5 +19,4 @@
 ! Current revisions:
 ! ------------------
-! Module renamed (removed _mod)
 ! 
 ! 
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1873 2016-04-18 14:50:06Z maronga
+! Module renamed (removed _mod)
+! 
+! 
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
Index: /palm/trunk/SOURCE/user_module.f90
===================================================================
--- /palm/trunk/SOURCE/user_module.f90	(revision 1873)
+++ /palm/trunk/SOURCE/user_module.f90	(revision 1874)
@@ -19,5 +19,4 @@
 ! Current revisions:
 ! -----------------
-! Module renamed (removed _mod)
 ! 
 ! 
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1873 2016-04-18 14:50:06Z maronga
+! Module renamed (removed _mod)
+! 
+! 
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
Index: /palm/trunk/SOURCE/wall_fluxes.f90
===================================================================
--- /palm/trunk/SOURCE/wall_fluxes.f90	(revision 1873)
+++ /palm/trunk/SOURCE/wall_fluxes.f90	(revision 1874)
@@ -19,5 +19,4 @@
 ! Current revisions:
 ! -----------------
-! Module renamed (removed _mod)
 ! 
 ! 
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1873 2016-04-18 14:50:06Z maronga
+! Module renamed (removed _mod)
+! 
+! 
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed