Index: /palm/trunk/SOURCE/pmc_interface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 1893)
+++ /palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 1894)
@@ -20,5 +20,6 @@
 ! Current revisions:
 ! ------------------
-! 
+! bugfix: pt interpolations are omitted in case that the temperature equation is
+! switched off
 !
 ! Former revisions:
@@ -2618,6 +2619,8 @@
        CALL pmci_interp_tril_all ( e,  ec,  ico, jco, kco, r1xo, r2xo, r1yo,   &
                                    r2yo, r1zo, r2zo, nzb_s_inner, 'e' )
-       CALL pmci_interp_tril_all ( pt, ptc, ico, jco, kco, r1xo, r2xo, r1yo,   &
-                                   r2yo, r1zo, r2zo, nzb_s_inner, 's' )
+       IF ( .NOT. neutral )  THEN
+          CALL pmci_interp_tril_all ( pt, ptc, ico, jco, kco, r1xo, r2xo,      &
+                                      r1yo, r2yo, r1zo, r2zo, nzb_s_inner, 's' )
+       ENDIF
        IF ( humidity  .OR.  passive_scalar )  THEN
           CALL pmci_interp_tril_all ( q, qc, ico, jco, kco, r1xo, r2xo, r1yo,  &
@@ -3255,8 +3258,10 @@
                                     logc_ratio_u_l, nzt_topo_nestbc_l, 'l',    &
                                     'e' )
-          CALL pmci_interp_tril_lr( pt, ptc, ico, jco, kco, r1xo, r2xo, r1yo,  &
-                                    r2yo, r1zo, r2zo, nzb_s_inner, logc_u_l,   &
-                                    logc_ratio_u_l, nzt_topo_nestbc_l, 'l',    &
-                                    's' )
+          IF ( .NOT. neutral )  THEN
+             CALL pmci_interp_tril_lr( pt, ptc, ico, jco, kco, r1xo, r2xo,     &
+                                       r1yo, r2yo, r1zo, r2zo, nzb_s_inner,    &
+                                       logc_u_l, logc_ratio_u_l,               &
+                                       nzt_topo_nestbc_l, 'l', 's' )
+          ENDIF
           IF ( humidity  .OR.  passive_scalar )  THEN
              CALL pmci_interp_tril_lr( q, qc, ico, jco, kco, r1xo, r2xo, r1yo, &
@@ -3271,5 +3276,7 @@
              CALL pmci_extrap_ifoutflow_lr( w, nzb_w_inner, 'l', 'w' )
              CALL pmci_extrap_ifoutflow_lr( e, nzb_s_inner, 'l', 'e' )
-             CALL pmci_extrap_ifoutflow_lr( pt,nzb_s_inner, 'l', 's' )
+             IF ( .NOT. neutral )  THEN
+                CALL pmci_extrap_ifoutflow_lr( pt,nzb_s_inner, 'l', 's' )
+             ENDIF
              IF ( humidity  .OR.  passive_scalar )  THEN
                 CALL pmci_extrap_ifoutflow_lr( q, nzb_s_inner, 'l', 's' )
@@ -3297,8 +3304,10 @@
                                     logc_ratio_u_r, nzt_topo_nestbc_r, 'r',    &
                                     'e' )
-          CALL pmci_interp_tril_lr( pt, ptc, ico, jco, kco, r1xo, r2xo, r1yo,  &
-                                    r2yo, r1zo, r2zo, nzb_s_inner, logc_u_r,   &
-                                    logc_ratio_u_r, nzt_topo_nestbc_r, 'r',    &
-                                    's' )
+          IF ( .NOT. neutral )  THEN
+             CALL pmci_interp_tril_lr( pt, ptc, ico, jco, kco, r1xo, r2xo,     &
+                                       r1yo, r2yo, r1zo, r2zo, nzb_s_inner,    &
+                                       logc_u_r, logc_ratio_u_r,               &
+                                       nzt_topo_nestbc_r, 'r', 's' )
+          ENDIF
           IF ( humidity  .OR.  passive_scalar )  THEN
              CALL pmci_interp_tril_lr( q, qc, ico, jco, kco, r1xo, r2xo, r1yo, &
@@ -3313,5 +3322,7 @@
              CALL pmci_extrap_ifoutflow_lr( w, nzb_w_inner, 'r', 'w' )
              CALL pmci_extrap_ifoutflow_lr( e, nzb_s_inner, 'r', 'e' )
-             CALL pmci_extrap_ifoutflow_lr( pt,nzb_s_inner, 'r', 's' )
+             IF ( .NOT. neutral )  THEN
+                CALL pmci_extrap_ifoutflow_lr( pt,nzb_s_inner, 'r', 's' )
+             ENDIF
              IF ( humidity  .OR.  passive_scalar )  THEN
                 CALL pmci_extrap_ifoutflow_lr( q, nzb_s_inner, 'r', 's' )
@@ -3339,8 +3350,10 @@
                                     logc_ratio_u_s, nzt_topo_nestbc_s, 's',    &
                                     'e' )
-          CALL pmci_interp_tril_sn( pt, ptc, ico, jco, kco, r1xo, r2xo, r1yo,  &
-                                    r2yo, r1zo, r2zo, nzb_s_inner, logc_u_s,   &
-                                    logc_ratio_u_s, nzt_topo_nestbc_s, 's',    &
-                                    's' )
+          IF ( .NOT. neutral )  THEN
+             CALL pmci_interp_tril_sn( pt, ptc, ico, jco, kco, r1xo, r2xo,     &
+                                       r1yo, r2yo, r1zo, r2zo, nzb_s_inner,    &
+                                       logc_u_s, logc_ratio_u_s,               &
+                                       nzt_topo_nestbc_s, 's', 's' )
+          ENDIF
           IF ( humidity  .OR.  passive_scalar )  THEN
              CALL pmci_interp_tril_sn( q, qc, ico, jco, kco, r1xo, r2xo, r1yo, &
@@ -3355,5 +3368,7 @@
              CALL pmci_extrap_ifoutflow_sn( w, nzb_w_inner, 's', 'w' )
              CALL pmci_extrap_ifoutflow_sn( e, nzb_s_inner, 's', 'e' )
-             CALL pmci_extrap_ifoutflow_sn( pt,nzb_s_inner, 's', 's' )
+             IF ( .NOT. neutral )  THEN
+                CALL pmci_extrap_ifoutflow_sn( pt,nzb_s_inner, 's', 's' )
+             ENDIF
              IF ( humidity  .OR.  passive_scalar )  THEN
                 CALL pmci_extrap_ifoutflow_sn( q, nzb_s_inner, 's', 's' )
@@ -3381,8 +3396,10 @@
                                     logc_ratio_u_n, nzt_topo_nestbc_n, 'n',    &
                                     'e' )
-          CALL pmci_interp_tril_sn( pt, ptc, ico, jco, kco, r1xo, r2xo, r1yo,  &
-                                    r2yo, r1zo, r2zo, nzb_s_inner, logc_u_n,   &
-                                    logc_ratio_u_n, nzt_topo_nestbc_n, 'n',    &
-                                    's' )
+          IF ( .NOT. neutral )  THEN
+             CALL pmci_interp_tril_sn( pt, ptc, ico, jco, kco, r1xo, r2xo,     &
+                                       r1yo, r2yo, r1zo, r2zo, nzb_s_inner,    &
+                                       logc_u_n, logc_ratio_u_n,               &
+                                       nzt_topo_nestbc_n, 'n', 's' )
+          ENDIF
           IF ( humidity  .OR.  passive_scalar )  THEN
              CALL pmci_interp_tril_sn( q, qc, ico, jco, kco, r1xo, r2xo, r1yo, &
@@ -3397,5 +3414,7 @@
              CALL pmci_extrap_ifoutflow_sn( w, nzb_w_inner, 'n', 'w' )
              CALL pmci_extrap_ifoutflow_sn( e, nzb_s_inner, 'n', 'e' )
-             CALL pmci_extrap_ifoutflow_sn( pt,nzb_s_inner, 'n', 's' )
+             IF ( .NOT. neutral )  THEN
+                CALL pmci_extrap_ifoutflow_sn( pt,nzb_s_inner, 'n', 's' )
+             ENDIF
              IF ( humidity  .OR.  passive_scalar )  THEN
                 CALL pmci_extrap_ifoutflow_sn( q, nzb_s_inner, 'n', 's' )
@@ -3416,6 +3435,8 @@
        CALL pmci_interp_tril_t( e,  ec,  ico, jco, kco, r1xo, r2xo, r1yo,      &
                                 r2yo, r1zo, r2zo, 'e' )
-       CALL pmci_interp_tril_t( pt, ptc, ico, jco, kco, r1xo, r2xo, r1yo,      &
-                                r2yo, r1zo, r2zo, 's' )
+       IF ( .NOT. neutral )  THEN
+          CALL pmci_interp_tril_t( pt, ptc, ico, jco, kco, r1xo, r2xo, r1yo,   &
+                                   r2yo, r1zo, r2zo, 's' )
+       ENDIF
        IF ( humidity .OR. passive_scalar )  THEN
           CALL pmci_interp_tril_t( q, qc, ico, jco, kco, r1xo, r2xo, r1yo,     &
@@ -3428,5 +3449,7 @@
           CALL pmci_extrap_ifoutflow_t( w,  'w' )
           CALL pmci_extrap_ifoutflow_t( e,  'e' )
-          CALL pmci_extrap_ifoutflow_t( pt, 's' )
+          IF ( .NOT. neutral )  THEN
+             CALL pmci_extrap_ifoutflow_t( pt, 's' )
+          ENDIF
           IF ( humidity  .OR.  passive_scalar )  THEN
              CALL pmci_extrap_ifoutflow_t( q, 's' )
@@ -3451,6 +3474,8 @@
       CALL pmci_anterp_tophat( w,  wc,  kctw, iflo, ifuo, jflo, jfuo, kflw,    &
                                kfuw, ijfc_s, 'w' )
-      CALL pmci_anterp_tophat( pt, ptc, kctu, iflo, ifuo, jflo, jfuo, kflo,    &
-                               kfuo, ijfc_s, 's' )
+      IF ( .NOT. neutral )  THEN
+         CALL pmci_anterp_tophat( pt, ptc, kctu, iflo, ifuo, jflo, jfuo, kflo, &
+                                  kfuo, ijfc_s, 's' )
+      ENDIF
       IF ( humidity  .OR.  passive_scalar )  THEN
          CALL pmci_anterp_tophat( q, qc, kctu, iflo, ifuo, jflo, jfuo, kflo,   &